----------------------------
----------------------------
---- Playing Cards Code ----
----------Card.lua----------
----------------------------

Card = {};

--Card.Create()
--@desc: 	Creates a new instace of this object.
--@param:	Suit - the suit of the card
--@param:	Number - the number of the card
--@param:	Colour - the colour of the card
--@return: 	the new instance.
function Card.Create(Suit, Number, Colour)
	local card_obj = {};
	--assign any default vars
	card_obj.suit 		= Suit;
	card_obj.number		= Number;
	card_obj.colour 	= Colour;
	--card_obj.name		= Name;

	--assign functions (yeah this bit sucks compared to other languages... but lua really isn't OO... le sigh)
	card_obj.PrintCards	= Card.PrintCards;
	
	--This if statement is used to decide the colour
	--of the Card Object being created. If the Suit
	--of the Card being generated is a Spade or a 
	--Club the Colour will automatically be set to
	--Black, else it will be set to red.
	if( Suit == SUIT[1] or Suit == SUIT[4] ) then
		card_obj.colour = COLOUR[2];
	else
		card_obj.colour = COLOUR[1];
	end
	
	--This For loop is used to set up the Name 
	--parameter of the Card object. When Number is
	--being set it uses 'i' to link the same entry in
	--the NAME table to give card_obj.name as string 
	--literal value that will be used when displaying
	--a players hand. Rather than printing, say, the
	--13 of Clubs, it will print out King of Clubs.
	--[[for i = 1, #NUMBER do
		if( NUMBER[i] == i ) then
			card_obj.name = NAME[i];
		end
	end]]
	
	return card_obj;
end

--Card.Print()
--@param: 	self
--@desc:	This function takes in a self argument 
--@desc:	(Player.Hand) and prints out the attributes
--@desc:	of each card in thetable in a concise manner.
--@returns:	nil
function Card.Print(self)
	
	--print("Card Suit: "..self.suit..", Card Number: "..self.number..", Card Colour: "..self.colour);
	print(self.number.." of "..self.suit.." ("..self.colour..")");
	-- , "..self.name..")  Goes after self.colour
end