RuleBook = {};
RuleBook.VERSION 	= 0.1
RuleBook.DEBUG 		= false;
RuleBook.inited 	= false;
RuleBook.Turn		= GLOBAL_VARS.Player1Store;
RuleBook.PauseTimer	= 2;
RuleBook.PauseTimerLimit = 0;
--**********************************************************************
--[[Reconfigure to work with Shithead.
--RuleBook.StatComp()
--@param: 	First Players current top card
--@param: 	Second Players current top card
--@param: 	Player 1
--@param: 	Player 2
--@param: 	cardpile - The source of the cards 
function RuleBook.StatComp(player1card, player2card, player1, player2, cardpile)
	
	if( player1card > player2card ) then
		--player1 wins
		RuleBook.Win(player1, player2, cardpile);
		
	elseif( player2card > player1card ) then 
		--player2 wins
		RuleBook.Win(player2, player1, cardpile);

	elseif( player1card == player2card ) then
		--draw, random winner decided
		local rand = math.random(1,2);
		
		if( rand == 1 ) then
			RuleBook.Win(player1, player2, cardpile);
		elseif( rand == 2 ) then 
			RuleBook.Win(player2, player1, cardpile);
		end
	end
end
]]
--[[Reconfigure to work with Shithead.
--RuleBook.PlayerTurn()
--@param: 	Player 1
--@param:	Player 2
--@param:	Source of current top cards
--@desc:	
--@desc:	
--@returns:	nil
function RuleBook.PlayerTurn(player1, player2, cardpile)

	if( RuleBook.Turn == player1 ) then
		table.insert(cardpile, player1.hand[1]);
		print(player1.name.."'s turn!");
		print(player1.name.."'s Card:");
		table.insert(cardpile, player2.hand[1]);
		Card.Print(cardpile[1]); --Stat is printed to the screen
		
	elseif( RuleBook.Turn == player2 ) then
		table.insert(GLOBAL_VARS.CardPile, player2.hand[1]);
		print(player2.name.."'s turn!");
		print(player2.name.."'s Top Card");
		table.insert(cardpile, player1.hand[1]);
		Card.Print(cardpile[1]); --Stat is printed to the screen
		
	end
	
end
]]

--RuleBook.Pause()
--@desc:	Simple 2 second count down pause timer
--@returns:	nil
function RuleBook.Pause()
	dt = GetDeltaTime();
	
	if( RuleBook.PauseTimer > RuleBook.PauseTimerLimit ) then
		RuleBook.PauseTimer = RuleBook.PauseTimer - dt;
		if(RuleBook.PauseTimer <= RuleBook.PauseTimerLimit) then
			print("Timer finished");
		end
	end
	
end
--[[Reconfigure to work with Shithead.
--RuleBook.Win()
function RuleBook.Win(winner, loser, cardpile)
	
	if( loser.hand ~= nil ) then
		print(winner.name.." wins the round!!");
		
		for i = 1, index do
			table.insert(winner.hand, cardpile[i]);
		end
		
		print(loser.name.." loses a card :(");
		
		RuleBook.Turn(winner);
	elseif(	loser.hand == nil ) then
		print(loser.name.." has run out of cards. :O "..winner.name.." wins the match!!");
	end
end
]]